> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ulm.m1amdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Token Revoke

> Accepts a supplied OAuth 2.0 access or refresh token and performs performs [RFC 7662](https://tools.ietf.org/html/rfc7662) token inspection on it. Responds with a JSON payload as per §2.2 of the RFC.
Access to this Introspection Endpoint must be enabled for the particular client accessing it, and that client must supply valid OAuth 2.0 client credentials in the request as well.



## OpenAPI

````yaml /portal/Amdocs_Media-MarketONE-OIDC-Released-resolved.yaml post /introspect
openapi: 3.0.1
info:
  title: Connect OIDC APIs
  description: >-
    APIs that are used to provide, validate and assert user identities for
    Single Sign-On (SSO), and API workloads


    The APIs may be accessed through an active web session within the
    application (i.e. any JavaScript running on the server itself) or through
    authorizing a client application through OIDC or OAuth 2.0.


    The APIs can be accessed via a tenant specific domain.
  version: Draft-Go
servers:
  - url: https://nxt-ulm-pdt.m1amdocs.io/oidc
security: []
tags:
  - name: OIDC
    description: Public user API for OpenId connect specification
paths:
  /introspect:
    post:
      tags:
        - OIDC
      summary: Token Revoke
      description: >-
        Accepts a supplied OAuth 2.0 access or refresh token and performs
        performs [RFC 7662](https://tools.ietf.org/html/rfc7662) token
        inspection on it. Responds with a JSON payload as per §2.2 of the RFC.

        Access to this Introspection Endpoint must be enabled for the particular
        client accessing it, and that client must supply valid OAuth 2.0 client
        credentials in the request as well.
      operationId: oidcIntrospect
      parameters:
        - name: token
          in: query
          description: OAuth 2.0 Access Token or Refresh Token
          required: true
          style: form
          explode: true
          schema:
            type: string
          example: 8ae1c0e3hhjfjiif
        - name: client_id
          in: query
          description: OAuth 2.0 client-ID of the Relying Party
          required: true
          style: form
          explode: true
          schema:
            type: string
          example: f3cf62d2-8967-440e-9dfc-c38fab8055e2
        - name: client_secret
          in: query
          description: >-
            OAuth 2.0 client secret of the Relying Party. Not needed for public
            RPs withouot secret.
          required: false
          style: form
          explode: true
          schema:
            type: string
          example: 8ae1c0e3-a70a-4335-86b5-a5aee1399bf0
        - name: token_type_hint
          in: query
          description: (Optional) Ignored.
          required: false
          style: form
          explode: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntrospectResponse'
        '400':
          description: Invalid Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntrospectResponse400'
        '401':
          description: Authentication problem
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntrospectResponse401'
        '403':
          description: Authorization problem
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IntrospectResponse403'
      security:
        - basic-query-params: []
      externalDocs:
        description: OAuth 2.0 Token Introspection
        url: https://tools.ietf.org/html/rfc7662
components:
  schemas:
    IntrospectResponse:
      title: IntrospectResponse
      type: object
      properties:
        active:
          type: boolean
          description: Is token valid?
          example: true
        scope:
          type: string
          description: Scopes for this token, delimited by space
          example: openid profile email
        expires_at:
          type: string
          description: Expiry time of the acess token in ISO format
          example: 2085-05-13T23:03:30+0000
        exp:
          type: integer
          description: Expiry time of the acess token
          example: 3640633410
        sub:
          type: string
          description: SubId
          example: 6cc435f8-2960-4e37-8370-192fc350b552
        user_id:
          type: string
          description: The Id of the user for which the token was issued.
          example: 2345|nxt
        client_id:
          type: string
          description: OAuth 2.0 client-ID of the Relying Party.
          example: b0949ff1-bad0-4e09-95d1-5215e349d1b8
        token_type:
          type: string
          description: The type of the token. (E.g. "Bearer")
          example: Bearer
      description: Introspect Response
    IntrospectResponse400:
      type: object
      properties:
        error:
          type: string
          example: invalid_request
          enum:
            - invalid_request
        error_description:
          type: string
          description: Description of the error
          example: Required String parameter 'token' is not present
    IntrospectResponse401:
      type: object
      properties:
        error:
          type: string
          example: invalid_client
          enum:
            - invalid_client
        error_description:
          type: string
          description: Description of the error
          example: Bad client credentials
    IntrospectResponse403:
      type: object
      properties:
        error:
          type: string
          example: access_denied
          enum:
            - access_denied
        error_description:
          type: string
          description: Description of the error
          example: Client [rpId] is not allowed to call introspection endpoint
  securitySchemes:
    basic-query-params:
      type: http
      description: Authentication using query parameters
      scheme: basic

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.